Bug 177188 - dumpon(8) unaware of mini crash dumps
Summary: dumpon(8) unaware of mini crash dumps
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joel Dahl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 11:40 UTC by Fabian Keil
Modified: 2013-04-30 08:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-03-21 11:40:01 UTC
dumpon(8) currently states:

| The dumpon utility will refuse to enable a dump device which is smaller
| than the total amount of physical memory as reported by the hw.physmem
| sysctl(8) variable.

If mini crash dumps are enabled smaller dump devices are actually accepted.

It might also be worth mentioning that with mini crash dumps disabled no error message is printed unless -v is used.

Fix: 

Update the man page.
How-To-Repeat: fk@r500 ~ $sysctl debug.minidump
debug.minidump: 1
fk@r500 ~ $sysctl kern.shutdown.dumpdevname
kern.shutdown.dumpdevname: 
fk@r500 ~ $sysctl hw.physmem
hw.physmem: 2070306816
fk@r500 ~ $diskinfo -v /dev/da0 | grep bytes
	750780416   	# mediasize in bytes (716M)
fk@r500 ~ $sudo dumpon /dev/da0
fk@r500 ~ $echo $?
0
fk@r500 ~ $sysctl kern.shutdown.dumpdevname
kern.shutdown.dumpdevname: da0
fk@r500 ~ $sudo dumpon off
fk@r500 ~ $sudo sysctl debug.minidump=0
debug.minidump: 1 -> 0
fk@r500 ~ $sudo dumpon /dev/da0
fk@r500 ~ $echo $?
74
fk@r500 ~ $sudo dumpon -v /dev/da0
/dev/da0 is smaller than physical memory
Comment 1 Joel Dahl freebsd_committer 2013-04-24 08:50:52 UTC
Responsible Changed
From-To: freebsd-doc->joel

Take
Comment 2 Joel Dahl freebsd_committer 2013-04-30 08:22:24 UTC
State Changed
From-To: open->closed

I've updated the man page and I'm closing this PR. Thanks!
Comment 3 dfilter service freebsd_committer 2013-04-30 08:22:26 UTC
Author: joel (doc committer)
Date: Tue Apr 30 07:22:03 2013
New Revision: 250095
URL: http://svnweb.freebsd.org/changeset/base/250095

Log:
  Adapt to the fact that minidumps are now on by default.
  
  PR:		177188

Modified:
  head/sbin/dumpon/dumpon.8

Modified: head/sbin/dumpon/dumpon.8
==============================================================================
--- head/sbin/dumpon/dumpon.8	Tue Apr 30 06:41:42 2013	(r250094)
+++ head/sbin/dumpon/dumpon.8	Tue Apr 30 07:22:03 2013	(r250095)
@@ -28,7 +28,7 @@
 .\"     From: @(#)swapon.8	8.1 (Berkeley) 6/5/93
 .\" $FreeBSD$
 .\"
-.Dd May 12, 1995
+.Dd April 29, 2013
 .Dt DUMPON 8
 .Os
 .Sh NAME
@@ -59,14 +59,21 @@ controlled by the
 variable in the boot time configuration file
 .Pa /etc/rc.conf .
 .Pp
-For most systems the size of the specified dump device must be at
+The default type of kernel crash dump is the mini crash dump.
+Mini crash dumps hold only memory pages in use by the kernel.
+Alternatively, full memory dumps can be enabled by setting the
+.Va debug.minidump
+.Xr sysctl 8
+variable to 0.
+.Pp
+For systems using full memory dumps, the size of the specified dump
+device must be at
 least the size of physical memory.
 Even though an additional 64 kB header is added to the dump, the BIOS for a
 platform typically holds back some memory, so it is not usually
 necessary to size the dump device larger than the actual amount of RAM
 available in the machine.
-.Pp
-The
+Also, when using full memory dumps, the
 .Nm
 utility will refuse to enable a dump device which is smaller than the
 total amount of physical memory as reported by the
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"